package com.cardiff.client_project.controller.nurse;

import com.cardiff.client_project.pojo.entity.Nurse;
import com.cardiff.client_project.service.NurseService;
import com.cardiff.client_project.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/nurse")
public class NurseController {
    @Autowired
    private NurseService nurseService;

    /**
     * select all
     *
     * @return
     */
    @PostMapping("/selectAll")
    public Result SelectAll(int hospitalId) {
        Result result = nurseService.selectAllNurse(hospitalId);
        return result;
    }


    /**
     * fuzzy query
     *
     * @param
     * @return
     */
    @PostMapping("/select")
    public Result selectByItem(@RequestBody Nurse nurse) {
        System.out.println(nurse);
        Result result = nurseService.selectByItem(nurse);
        return result;
    }

    /**
     * Update data
     * @param nurse
     * @return
     */
    @PutMapping("/update")
    public Result updateById(@RequestBody Nurse nurse){
        System.out.println("update" + nurse);
        Result result = nurseService.update(nurse);
        return result;
    }

    /**
     *add nurse
     * @param
     * @return
     */
    @PostMapping("/insert")
    public Result insertNurseInform(@RequestBody Nurse nurse){
        System.out.println(nurse);
        Result result= nurseService.insertNurse(nurse);
        System.out.println(result);
        return result;
    }

    /**
     *delete nurse information by id
     * @param ids
     * @return
     */
    @DeleteMapping("/deleteNurseById")
    public Result deleteNurseById(@RequestBody List<Integer> ids){
        Result result = nurseService.deleteById(ids, "hospital");
        return result;
    }
}
