package com.cardiff.client_project.service.imp;

import com.cardiff.client_project.constant.Authority;
import com.cardiff.client_project.constant.ResponseCode;
import com.cardiff.client_project.mapper.PatientMapper;
import com.cardiff.client_project.pojo.entity.Patient;
import com.cardiff.client_project.pojo.vo.PatientVO;
import com.cardiff.client_project.service.PatientService;
import com.cardiff.client_project.utils.Result;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
@Service
public class PatientServiceImp implements PatientService {
    @Autowired
    private PatientMapper patientMapper;

    @Override
    public Result insertPatient(Patient patient) {
        patient.setRoleId(Authority.PATIENT);
        patient.setType("patient");
        Result result = patientMapper.insertPatientInform(patient);
        return result;
    }

    @Override
    public Result deleteById(List<Integer> ids, String type) {
        patientMapper.deleteByIdAndType(ids,type);
        return Result.success(ResponseCode.SUCCESS);
    }

    @Override
    public Result selectAllPatient(int hospitalId) {
        List<Patient> selectVOS = patientMapper.selectAllPatient(hospitalId);

        List<PatientVO> patientVOS = new ArrayList<>();
        selectVOS.forEach(selectVO -> {
            PatientVO patientVO = new PatientVO();
            BeanUtils.copyProperties(selectVO, patientVO);
            // Set the corresponding status string according to status
            if (patientVO.getStatus() == 1) {
                patientVO.setStatus_str("ACTIVE");
            }
            if (patientVO.getStatus() == 0) {
                patientVO.setStatus_str("INACTIVE");
            }
            patientVOS.add(patientVO);
        });
        return Result.success(patientVOS);
    }

    @Override
    public Result update(Patient patient) {
        int update = patientMapper.update(patient);
        if (update > 0) {
            return Result.success(ResponseCode.SUCCESS);
        }
        return Result.error(ResponseCode.ERROR);
    }

    @Override
    public Result selectByItem(Patient patient) {
        List<Patient> selectVos = patientMapper.selectByItem(patient);
        selectVos.forEach(selectVO -> {
            PatientVO patientVO = new PatientVO();
            if (selectVO.getStatus() == 1) {
                selectVO.setStatus_str("ACTIVE");
            }
            if (selectVO.getStatus() == 0) {
                selectVO.setStatus_str("INACTIVE");
            }
            BeanUtils.copyProperties(selectVO, patientVO);
        });
        if(!selectVos.isEmpty()){
            return Result.success(selectVos);
        }else {
            return Result.error(ResponseCode.ACCOUNT_NOT_EXISTS);
        }
    }
}
